<?php

namespace common\models;

use Yii;
use yii\data\ActiveDataProvider;

class ArticleSearch extends Article
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'status', 'create_time', 'modified_time'], 'integer'],
            [['title', 'content', 'author', 'intro'], 'safe'],
        ];
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Article::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => ['pageSize' => 5],
            'sort'=>[
                'defaultOrder'=>[
                    'id' => SORT_DESC,
                ],
                //'attributes'=>['id','title'],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            //$query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query
            ->andFilterWhere([
                'article.id' => $this->id,
//            'post.id' => $this->id,
                'status' => $this->status,
                'create_time' => $this->create_time,
                'modified_time' => $this->modified_time,
                'category_id' => $this->category_id,
            ])
            ->andFilterWhere(['like', 'author', $this->author])
            ->andFilterWhere(['like', 'title', $this->title])
            ->andFilterWhere(['like', 'content', $this->content])
            ->andFilterWhere(['like', 'intro', $this->intro]);

        return $dataProvider;
    }

}
